Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Interface XmlIDREFS

All Superinterfaces:
  XmlAnySimpleType, XmlObject, XmlTokenSource

    public interface XmlIDREFS

extends XmlAnySimpleType

Corresponds to the XML Schema xs:IDREFS type, a list type.

When validated, IDREF values must match an ID value that is present within the document. This rule is only verified when a whole document is validated at once.

Convertible to a `List`.

Nested Class Summary
`static class` | `XmlIDREFS.Factory` A class with methods for creating instances of `XmlIDREFS`.

Field Summary
`static SchemaType` | `type` The constant `SchemaType` object representing this schema type.

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`java.util.List` | `getListValue()` Returns the value as a `List` of `String` values
`java.util.List` | `listValue()` Deprecated. replaced by `getListValue()`
`void` | `set(java.util.List l)` Deprecated. replaced by `getListValue()`
`void` | `setListValue(java.util.List l)` Sets the value as a `List`
`java.util.List` | `xgetListValue()` Returns the value as a `List` of `XmlIDREF` values
`java.util.List` | `xlistValue()` Deprecated. replaced by `getListValue()`

Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType
`getStringValue, set, setStringValue, stringValue`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

  The constant `SchemaType` object representing this schema type.

Method Detail

### getListValue

    java.util.List getListValue()

  Returns the value as a `List` of `String` values

### xgetListValue

    java.util.List xgetListValue()

  Returns the value as a `List` of `XmlIDREF` values

### setListValue

    void setListValue(java.util.List l)

  Sets the value as a `List`

### listValue

    java.util.List listValue()

  Deprecated. replaced by `getListValue()`

  Returns the value as a `List` of `String` values

### xlistValue

    java.util.List xlistValue()

  Deprecated. replaced by `getListValue()`

  Returns the value as a `List` of `XmlIDREF` values

### set

    void set(java.util.List l)

  Deprecated. replaced by `getListValue()`

  Sets the value as a `List`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD